.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_CircleShape2D:

CircleShape2D
=============

**Inherits:** :ref:`Shape2D<class_shape2d>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Circular Shape for 2D Physics.

Member Functions
----------------

+----------------------------+--------------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_radius<class_CircleShape2D_get_radius>`  **(** **)** const                             |
+----------------------------+--------------------------------------------------------------------------------------------------+
| void                       | :ref:`set_radius<class_CircleShape2D_set_radius>`  **(** :ref:`float<class_float>` radius  **)** |
+----------------------------+--------------------------------------------------------------------------------------------------+

Description
-----------

Circular Shape for 2D Physics. This shape is useful for modeling balls or small characters and its collision detection with everything else is very fast.

Member Function Description
---------------------------

.. _class_CircleShape2D_get_radius:

- :ref:`float<class_float>`  **get_radius**  **(** **)** const

Return the radius of the circle shape.

.. _class_CircleShape2D_set_radius:

- void  **set_radius**  **(** :ref:`float<class_float>` radius  **)**

Set the radius of the circle shape.


